VST 3 Interfaces: RepresentationInfo Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | Public Attributes | List of all members
RepresentationInfo Struct Reference

RepresentationInfo is the structure describing a representation This structure is used in the function. More...

`#include <ivstrepresentation.h>`

## Public Types
enum | { kNameSize = 64 }

## Public Member Functions
| RepresentationInfo ()
| RepresentationInfo (char8 *_vendor, char8 *_name=nullptr, char8 *_version=nullptr, char8 *_host=nullptr)

## Public Attributes
char8 | vendor [kNameSize]
| Vendor name of the associated representation (remote) (eg. "Yamaha"). More...
char8 | name [kNameSize]
| Representation (remote) Name (eg. "O2"). More...
char8 | version [kNameSize]
| Version of this "Remote" (eg. "1.0"). More...
char8 | host [kNameSize]
| Optional: used if the representation is for a given host only (eg. "Nuendo"). More...

## Detailed Description

RepresentationInfo is the structure describing a representation This structure is used in the function.

See also
  IXmlRepresentationController::getXmlRepresentationStream.
  IXmlRepresentationController

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kNameSize |

## Constructor & Destructor Documentation

## ◆ RepresentationInfo() [1/2]

RepresentationInfo | ( |  | ) |
| inline

## ◆ RepresentationInfo() [2/2]

RepresentationInfo | ( | char8 * | _vendor,
|  | char8 * | _name = `nullptr`,
|  | char8 * | _version = `nullptr`,
|  | char8 * | _host = `nullptr`
| ) |  |
| inline

## Member Data Documentation

## ◆ vendor

char8 vendor[kNameSize]

Vendor name of the associated representation (remote) (eg. "Yamaha").

## ◆ name

char8 name[kNameSize]

Representation (remote) Name (eg. "O2").

## ◆ version

char8 version[kNameSize]

Version of this "Remote" (eg. "1.0").

## ◆ host

char8 host[kNameSize]

Optional: used if the representation is for a given host only (eg. "Nuendo").

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.